#服务器端口
server:
  port: 9522

#数据源配置
spring:
  datasource:
    url: ${blade.datasource.community.url}
    username: ${blade.datasource.community.username}
    password: ${blade.datasource.community.password}
#    url: jdbc:mysql://36.103.227.152:3306/smart_community?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
#    username: root
#    password: 2e564ee5-d9ed-11e9-bab6-0242ac170005

#knife4j配置
knife4j:
  #启用
  enable: true
  #基础认证
  basic:
    enable: false
    username: blade
    password: blade
  #增强配置
  setting:
    enableSwaggerModels: true
    enableDocumentManage: true
    enableHost: false
    enableHostText: http://localhost
    enableRequestCache: true
    enableFilterMultipartApis: false
    enableFilterMultipartApiMethodType: POST
    language: zh-CN
